<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: WebSocketHandler Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classWebSocketHandler-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">WebSocketHandler Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a18479a69a03eeed897c4334543023724"><td class="memItemLeft" align="right" valign="top"><a id="a18479a69a03eeed897c4334543023724"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocketHandler.html#a18479a69a03eeed897c4334543023724">~WebSocketHandler</a> ()</td></tr>
<tr class="memdesc:a18479a69a03eeed897c4334543023724"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:a18479a69a03eeed897c4334543023724"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ae1d5bde410e9f720bcc007ffd4cd0e"><td class="memItemLeft" align="right" valign="top"><a id="a0ae1d5bde410e9f720bcc007ffd4cd0e"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocketHandler.html#a0ae1d5bde410e9f720bcc007ffd4cd0e">onClose</a> ()</td></tr>
<tr class="memdesc:a0ae1d5bde410e9f720bcc007ffd4cd0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default onClose handler. If no over-riding handler is provided for the "close" event, this method is called. <br /></td></tr>
<tr class="separator:a0ae1d5bde410e9f720bcc007ffd4cd0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0bd22f329ec6953580c3d4907e5ecc18"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocketHandler.html#a0bd22f329ec6953580c3d4907e5ecc18">onMessage</a> (<a class="el" href="classWebSocketInputStreambuf.html">WebSocketInputStreambuf</a> *pWebSocketInputStreambuf, <a class="el" href="classWebSocket.html">WebSocket</a> *pWebSocket)</td></tr>
<tr class="memdesc:a0bd22f329ec6953580c3d4907e5ecc18"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default onData handler. If no over-riding handler is provided for the "message" event, this method is called. A particularly useful pattern for using onMessage is:  <a href="#a0bd22f329ec6953580c3d4907e5ecc18">More...</a><br /></td></tr>
<tr class="separator:a0bd22f329ec6953580c3d4907e5ecc18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cc7913f3f6c9ae8e390401db99e659e"><td class="memItemLeft" align="right" valign="top"><a id="a0cc7913f3f6c9ae8e390401db99e659e"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classWebSocketHandler.html#a0cc7913f3f6c9ae8e390401db99e659e">onError</a> (std::string error)</td></tr>
<tr class="memdesc:a0cc7913f3f6c9ae8e390401db99e659e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The default onError handler. If no over-riding handler is provided for the "error" event, this method is called. <br /></td></tr>
<tr class="separator:a0cc7913f3f6c9ae8e390401db99e659e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a0bd22f329ec6953580c3d4907e5ecc18"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0bd22f329ec6953580c3d4907e5ecc18">&#9670;&nbsp;</a></span>onMessage()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void WebSocketHandler::onMessage </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classWebSocketInputStreambuf.html">WebSocketInputStreambuf</a> *&#160;</td>
          <td class="paramname"><em>pWebSocketInputStreambuf</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classWebSocket.html">WebSocket</a> *&#160;</td>
          <td class="paramname"><em>pWebSocket</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>The default onData handler. If no over-riding handler is provided for the "message" event, this method is called. A particularly useful pattern for using onMessage is: </p>
<div class="fragment"><div class="line">std::stringstream buffer;</div><div class="line">buffer &lt;&lt; pWebSocketInputRecordStreambuf;</div></div><!-- fragment --><p> This will read the whole message into the string stream. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="WebSocket_8h_source.html">WebSocket.h</a></li>
<li>WebSocket.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
